import fetch from "flumm-fetch-cookies";

const feed = "https://www.kernel.org/releases.json";

export default async bot => {

  return [{
    name: "kernel",
    call: /^(\.|\/)kernel/i,
    set: "nxy",
    f: async e => {
      const res = await (await fetch(feed)).json();
      e.reply(res.releases.map(entry => `[b]${entry.version}[/b] (${entry.moniker}${entry.iseol ? `, [i]EOL[/i]` : ""})`).join(", "));
    }
  }];
};
