import fetch from "flumm-fetch-cookies";
import config from "../../../cfg/config.json";

export default async bot => {

  return [{
    name: "scrnd",
    call: /^(\.|\/)scrnd/i,
    set: "uwe",
    help: {
      text: "get random track from Flummi's soundcloud favorites",
      usage: "[b].scrnd[/b]"
    },
    f: async e => {
      const res = await (await fetch(`http://api.soundcloud.com/users/${config.apis.soundcloud.user}/favorites?client_id=${config.apis.soundcloud.clientid}`)).json();
      const track = res[~~((Math.random() * res.length) + 1)];
      e.reply(`${track.permalink_url}\n[b]${track.title}[/b] - length [b]${track.duration}[/b] - [b]${track.user.username}[/b] on [b]${track.created_at}[/b]`);
    }
  }];
};
